<?php
require("conexion.php");

$nom = $_SESSION['nom_admin'];
$iduser = $_SESSION['id_user'];
$suc = $_SESSION['IdSuc'];
$tipou= $_SESSION['tipouser'];
$cod = $_POST['id'];
$v = mysqli_query($conexion,"SELECT * FROM Ventas WHERE IdVenta = '$cod'");
$f = mysqli_fetch_array($v);
$ser = $f['Serie'];
$fol = $f['FolioVenta'];
$cliente = $f['IdCliente'];
$edopago = $f['EstadoPago'];

if($edopago == 2){
    $mon = mysqli_query($conexion,"SELECT * FROM Monedero M JOIN MonederoDetalle D ON M.IdMonedero = D.IdMonedero WHERE IdCliente = '$cliente' AND Serie = '$ser' AND Folio = '$fol'");
    $mo = mysqli_fetch_array($mon);
    $idmon = $mo['IdMonedero'];
    $saldoac = $mo['SaldoActual'];
    $totmovimiento = $mo['TotalMovimiento'];
    $saldototal = $saldoac - $totmovimiento;
    $d = mysqli_query($conexion,"UPDATE MonederoDetalle SET Activo = 0 WHERE Serie ='$ser' AND Folio = '$fol'");
    $mone = mysqli_query($conexion,"UPDATE Monedero SET SaldoActual = '$saldototal' WHERE IdMonedero = '$idmon'");
}





$p = mysqli_query($conexion,"UPDATE Ventas SET Activo = 0 WHERE IdVenta ='$cod'");
$m = mysqli_query($conexion,"UPDATE Movimientos SET Activo = 0 WHERE Serie ='$ser' AND FolioVenta = '$fol'");
$p = mysqli_query($conexion,"UPDATE VentasDetalle SET Activo = 0 WHERE Serie ='$ser' AND IdVenta = '$fol'");
$m = mysqli_query($conexion,"UPDATE MovDetalle SET Activo = 0 WHERE Serie ='$ser' AND IdVenta = '$fol'");

echo '1';
?>